Bug 1126891 - (CVE-2014-3556) CVE-2014-3556 nginx: SMTP STARTTLS plaintext injection flaw
CVE-2014-3556 nginx: SMTP STARTTLS plaintext injection flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140805,repor...
: Security
Depends On: 1126892 1126939
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-05 10:12 EDT by Vasyl Kaigorodov
Modified: 2015-03-24 10:02 EDT (History)
11 users (show)

See Also:
Fixed In Version: nginx 1.6.1, nginx 1.7.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-24 10:02:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasyl Kaigorodov 2014-08-05 10:12:24 EDT
Upstream [1] reports:
...
A bug in nginx SMTP proxy was found, which allows an attacker in a
privileged network position to inject commands into SSL sessions started
with the STARTTLS command, potentially making it possible to steal
sensitive information sent by clients (CVE-2014-3556).

The problem affects nginx 1.5.6 - 1.7.3.

The problem is fixed in nginx 1.7.4, 1.6.1.

Patch for the problem can be found here:

http://nginx.org/download/patch.2014.starttls.txt

[1]: http://mailman.nginx.org/pipermail/nginx-announce/2014/000144.html
Comment 1 Vasyl Kaigorodov 2014-08-05 10:12:39 EDT
Created nginx tracking bugs for this issue:

Affects: epel-7 [bug 1126892]
Comment 2 Vasyl Kaigorodov 2014-08-05 11:36:23 EDT
Statement:

This issue did not affect the versions of nginx as shipped with Red Hat Software Collections 1 for Red Hat Enterprise Linux 6 and 7.
Comment 5 Tomas Hoger 2014-08-05 12:03:46 EDT
nginx 1.6 is in Fedora 21 / Rawhide.  Update to version 1.6.1 was already built by the maintainer.
Comment 6 Warren Togami 2014-08-18 19:43:46 EDT
This is now fixed?
Comment 7 Peter Borsa 2015-03-24 09:07:07 EDT
Hi!

I suppose it's fixed in 1.6.x because there is a stable version (nginx-1.6.2-4.fc21) and

"* Tue Aug 05 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1:1.6.1-1
- update to upstream release 1.6.1
- (#1126891) CVE-2014-3556: SMTP STARTTLS plaintext injection flaw"

Can we close this issue?
Comment 8 Vasyl Kaigorodov 2015-03-24 10:02:16 EDT
(In reply to Peter Borsa from comment #7)
> Hi!
> 
> I suppose it's fixed in 1.6.x because there is a stable version
> (nginx-1.6.2-4.fc21) and
> 
> "* Tue Aug 05 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1:1.6.1-1
> - update to upstream release 1.6.1
> - (#1126891) CVE-2014-3556: SMTP STARTTLS plaintext injection flaw"
> 
> Can we close this issue?

Yep, based on the status of the bugs in "Depends On" field marking this CLOSED/ERRATA.

Note You need to log in before you can comment on or make changes to this bug.